<?php
	date_default_timezone_set('America/Sao_Paulo'); 
	
	//Dados do Erro
	$version = $_POST['package_version'];
	$package = $_POST['package_name'];
	$stacktrace = str_replace(array("\n\r", "\n", "\r", "\r\n"), PHP_EOL, $_POST['stacktrace']);
	
	$codvendedor   = $_GET['codvendedor'];
	$atualizacao   = $_GET['atualizacao'];
	$versaoBanco   = $_GET['versaoBanco'];
	$versaoAndroid = $_GET['versaoAndroid'];
	//$modulos = $_GET['modulos'];
	$datahora = Date('d/m/Y h:m:s');
	
	//Caso não existir a pasta logs cria ela
	if(!file_exists('./logs/')){
		mkdir('./logs/', 0777, true);
	}
	
	//Cria ou abre o arquivo de logs do vendedor
	$arquivo = "./logs/".$codvendedor.".log";
	$handle = fopen($arquivo, "a");
	
	//Imprime observações
	if(filesize($arquivo) == 0){
		fwrite($handle, "*** ATENÇÃO ***".PHP_EOL);   
		fwrite($handle, "- A Data e Hora abaixo são definidas no momento do recebimento do erro, e não quando ele foi gerado".PHP_EOL);    
		fwrite($handle, "- O Erro é enviado na próxima vez que o aplicativo é aberto após parar de funcionar");    
	}
	
	//Imprime a Data e hora de recebimento do erro
	fwrite($handle, PHP_EOL.PHP_EOL.PHP_EOL."------------------------------------------------------------".PHP_EOL); 
	fwrite($handle, "Data/Hora: ".$datahora.PHP_EOL);	
	fwrite($handle, "Atualização: ".$atualizacao.PHP_EOL);
	fwrite($handle, "Versão Banco: ".$versaoBanco.PHP_EOL);
	fwrite($handle, "Android SDK: ".$versaoAndroid.PHP_EOL.PHP_EOL);
	//Imprime o Erro
	fwrite($handle, $stacktrace);
	
	//Fecha o arquivo de Log
    fclose($handle);
?>